//////////////////////////////////////////////////////////////////////////
//
// FILE:   Interface.h
//
// DATE:   January 3, 1996
//
// AUTHOR:
//
//    James Kuffner, Jr
//    Computer Science Department
//    Stanford University
//    U.S.A.
//    email: kuffner@stanford.edu
//    http://robotics.stanford.edu/~kuffner
//
// DISTRIBUTION NOTICE
//
// Copyright (c) 1996 James Kuffner, Jr. All rights reserved.
//
// Permission to use, copy, modify and distribute this software for any
// purpose is hereby granted without fee, provided that the above
// copyright notice and this permission notice appear in all copies of
// this software and that you do not sell the software.
//
// THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT WARRANTY OF ANY KIND,
// EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
// WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
//
//////////////////////////////////////////////////////////////////////////

#ifndef  INTERFACE_H
#define  INTERFACE_H

#ifndef IGNORE_DEPEND
#include <Xm/Xm.h>
#endif 

#include "Menu.h"

class Interpolate;


//////////////////////////////////////////////////////////////////////////////
//  Class: Interface
//////////////////////////////////////////////////////////////////////////////
class Interface {
 public:
  Interface(Interpolate *, Widget parent);
  ~Interface();

  Widget FormWidget() const { return _formWidget; }
  Widget MenuWidget() const { return menuBar->menuBarWidget(); }

  // pop up a dialog
  void ErrorDialog(const char *msg);
  

 private:
  static void _MenuHandler(MenuItem *, void *);

  void _BuildMenus(int n, MenuInfo *);
  void _HandleMenuEvent(MenuItem *);
  void _UpdateViewRadioButtons(int which);

  void _ShowAboutDialog();

  void _FileQuit();
 
 //Data
  Interpolate *_interpolate;
  Widget _parentWindow;
  Widget _formWidget;

  MenuBar *menuBar;
};

#endif // INTERFACE_H


